package com.tykj.dev.config.repository;

import com.tykj.dev.config.domin.SystemConfig;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface SystemConfigDao extends JpaRepository<SystemConfig,Integer>, JpaSpecificationExecutor<SystemConfig> {
    SystemConfig findByEnglishNameAndValue(String name,Integer value);
    List<SystemConfig> findAllByEnglishName(String name);
    List<SystemConfig> findAllByDeleteTag(Integer deleteTag);
}
